Author Topic: Steps to run QubeGUI on Ubuntu  (Read 2338 times)

Scot Brew

  • Hero Member
  • *****
  • Posts: 272
    • PipelineFX
Steps to run QubeGUI on Ubuntu
« on: December 01, 2007, 12:36:48 AM »
A customer recently setup the QubeGUI to work with Ubuntu.  Though it is not officially supported by PipelineFX, we wanted to pass along this information to those interested.

--------------

Here are our steps to get the correct python and wxWidgets installed
under ubuntu for the Qube python GUI to work.

It is necessary to do things in this order so that apt-get knows to get
a compatible wxWidgets for python2.4.

Add to /etc/apt/source.list (this is for Gutsy Gibbon version of Ubuntu)

deb http://apt.wxwidgets.org/wxpython gutsy-wx main

Run the following to add wxwidgets pgp key:
$ wget -q http://apt.wxwidgets.org/key.asc -O- | sudo apt-key add -
(returns)
OK

Update apt-get repo:
$ sudo apt-get update

Install python 2.4:
$ sudo apt-get install python2.4

And change python link:
$ cd /usr/bin ; sudo rm python ; sudo ln -s python2.4 python

Change default-version in this file to 2.4:
$ sudo vi /usr/share/python/debian_defaults

Install wxWidgets 2.8:
$ sudo apt-get install python-wxgtk2.8

Some website/instructions/info here:
http://www.wxwidgets.org/